Remove logic for CentOS < 9

... because RDO supports CentOS Stream 9 (aka CentOS 9) only since Zed.

Change-Id: I7514c4384a15b235a54f1c310f6d0167089e0515
changes/96/865096/1
Takashi Kajinami 2 months ago
parent 747468f97c
commit 1929c31aac

@ -57,13 +57,8 @@ class ironic::params {
$uefi_ipxe_bootfile_name = 'snponly.efi'
$ironic_wsgi_script_path = '/var/www/cgi-bin/ironic'
$ironic_wsgi_script_source = '/usr/bin/ironic-api-wsgi'
if (Integer.new($::os['release']['major']) > 8) {
$xinetd_available = false
$tftpd_package = false
} else {
$xinetd_available = true
$tftpd_package = 'tftp-server'
}
$xinetd_available = false
$tftpd_package = false
$ipxe_package = 'ipxe-bootimgs'
$pxelinux_package = false
$pxelinux_path = false

@ -409,11 +409,8 @@ describe 'ironic::pxe' do
it_behaves_like 'ironic pxe without xinetd'
end
unless facts[:osfamily] == 'RedHat' and facts[:operatingsystemmajrelease].to_i >= 9
it_behaves_like 'ironic pxe with xinetd'
end
if facts[:osfamily] == 'Debian'
it_behaves_like 'ironic pxe with xinetd'
it_behaves_like 'ironic pxe with pxelinux package'
end
end

Loading…
Cancel
Save